"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const combinator_1 = require("dom/combinator");
describe('DOM Combinator', function () {
    const expect = require('chai').expect;
    it('should default to descendant combinator', function () {
        const result = combinator_1.parseCombinator('');
        expect(result).to.equal(combinator_1.Combinator.DESCENDANT);
    });
    it('should parse > as child combinator', function () {
        const result = combinator_1.parseCombinator('>');
        expect(result).to.equal(combinator_1.Combinator.CHILD);
    });
    it('should parse + as adjacent sibling combinator', function () {
        const result = combinator_1.parseCombinator('+');
        expect(result).to.equal(combinator_1.Combinator.ADJACENT_SIBLING);
    });
    it('should parse + as general sibling combinator', function () {
        const result = combinator_1.parseCombinator('~');
        expect(result).to.equal(combinator_1.Combinator.GENERAL_SIBLING);
    });
    it('should throw error on invalid combinator', function () {
        expect(() => combinator_1.parseCombinator('a')).to.throw();
    });
});
