"use strict";
function init(parser) {
    parser.on('dom:ready', validate);
}
function validate(event, report) {
    const validTypes = this.validTypes;
    const buttons = event.document.getElementsByTagName('button');
    buttons.forEach(function (node) {
        const type = node.getAttribute('type');
        if (type === null) {
            report(node, "Button is missing type attribute");
        }
        else if (validTypes.indexOf(type.toLowerCase()) === -1) {
            report(node, "Button has invalid type");
        }
    });
}
module.exports = {
    name: 'button-type',
    init,
    validTypes: ['submit', 'button', 'reset'],
};
