"use strict";
function init(parser) {
    parser.on('dom:ready', (event, report) => {
        const root = event.document;
        for (const elem of root.getElementsByTagName('input')) {
            const id = elem.getAttribute('id');
            if (findLabelById(root, id)) {
                continue;
            }
            if (findLabelByParent(elem)) {
                continue;
            }
            report(elem, 'Input element does not have a label');
        }
    });
}
function findLabelById(root, id) {
    if (!id)
        return null;
    return root.find((node) => node.is('label') && node.getAttribute('for') === id);
}
function findLabelByParent(el) {
    let cur = el.parent;
    while (cur) {
        if (cur.is('label')) {
            return cur;
        }
        cur = cur.parent;
    }
    return null;
}
module.exports = {
    name: 'input-missing-label',
    init,
};
