"use strict";
function init(parser) {
    let attr = {};
    parser.on('tag:open', () => {
        attr = {};
    });
    parser.on('attr', (event, report) => {
        const name = event.key.toLowerCase();
        if (name in attr) {
            report(event.target, `Attribute "${name}" duplicated`);
        }
        attr[event.key] = true;
    });
}
module.exports = {
    name: 'no-dup-attr',
    init,
};
